## NAME

CURLOPT_SOCKOPTDATA - custom pointer to pass to sockopt callback

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_SOCKOPTDATA, void *pointer);

## DESCRIPTION

Pass a pointer that will be untouched by libcurl and passed as the first argument in the sockopt callback set with CURLOPT_SOCKOPTFUNCTION.

## DEFAULT

The default value of this parameter is NULL.

## PROTOCOLS

All

## EXAMPLE

TODO

## AVAILABILITY

Added in 7.16.0

## RETURN VALUE

Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

## SEE ALSO

CURLOPT_SOCKOPTFUNCTION, CURLOPT_OPENSOCKETFUNCTION

This HTML page was made with roffit.